org.eclipse.actf.visualization.engines.blind.html

## Interface IVisualizeMapData

    public interface IVisualizeMapData

Interface to provide mapping information between original `Document` and visualization result `Document`

### Method Summary

Methods
`void` `addReplacedNodeMapping(Node target, Node replacement)` Add replaced `Node` information.
`Integer` `getIdOfNode(Node target)` Get ID of target `Node` in result `Document`
`Integer` `getIdOfOrigNode(Node target)` Get ID of target `Node` in original `Document`
`Map<Node,Integer>` `getOrig2idMap()`
`Node` `getOrigNode(Node result)` Get corresponding `Node` from original `Document`
`Node` `getReplacement(Node target)` Get replacement `Node` of target `Node`
`Node` `getResultNode(Node orig)` Get corresponding `Node` from result `Document`

### Method Detail

#### getOrig2idMap

    Map<Node,Integer> getOrig2idMap()

Returns:
  map between `Node` in original Document to corresponding result `Node` ID

#### addReplacedNodeMapping

    void addReplacedNodeMapping(Node target,
                              Node replacement)

Add replaced `Node` information.

Parameters:
  `target` - target Node to replace
  `replacement` - replacement Node

#### getOrigNode

    Node getOrigNode(Node result)

Get corresponding `Node` from original `Document`

Parameters:
  `result` - target Node in result `Document`
Returns:
  corresponding original Node

#### getResultNode

    Node getResultNode(Node orig)

Get corresponding `Node` from result `Document`

Parameters:
  `orig` - target Node in original `Document`
Returns:
  corresponding result Node

#### getReplacement

    Node getReplacement(Node target)

Get replacement `Node` of target `Node`

Parameters:
  `target` - target `Node`
Returns:
  replacement Node

#### getIdOfNode

    Integer getIdOfNode(Node target)

Get ID of target `Node` in result `Document`

Parameters:
  `target` - target `Node`
Returns:
  ID of target Node

#### getIdOfOrigNode

    Integer getIdOfOrigNode(Node target)

Get ID of target `Node` in original `Document`

Parameters:
  `target` - target `Node`
Returns:
  ID of target Node